# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Moose/Role.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-MooseX-MultiInitArg 
Version:    0.01 
Release:    alt2_14
# lib/MooseX/MultiInitArg.pm -> GPL+ or Artistic
# lib/MooseX/MultiInitArg/Attribute.pm -> GPL+ or Artistic
# lib/MooseX/MultiInitArg/Trait.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Perl
Summary:    Attributes with aliases for constructor arguments 
Source:     http://search.cpan.org/CPAN/authors/id/F/FR/FRODWITH/MooseX-MultiInitArg-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-MultiInitArg
BuildArch:  noarch

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)


Source44: import.info

%description
If you've ever wanted to be able to call an attribute any number of
things while you're passing arguments to your object constructor, Now
You Can. This is an attribute metaclass / trait to allow easy new()-time
attribute aliasing.

%prep
%setup -q -n MooseX-MultiInitArg-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'


%check
make test

%files
%doc Changes README 
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_14
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_12
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_10
- fc import

* Thu Nov 20 2008 Michael Bochkaryov <misha@altlinux.ru> 0.01-alt2
- fix directory owndership violation

* Tue Jul 15 2008 Michael Bochkaryov <misha@altlinux.ru> 0.01-alt1
- first build for ALT Linux Sisyphus

